Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /Device?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "0a056b4a60565a9fa7c50cfb1b1a338e",
  "type": "searchset",
  "entry": [
    {
      "full_url": "/Device/",
      "resource": {
        "resourceType": "Device",
        "status": "active",
        "type": {
          "coding": [
            {
              "system": "http://snomed.info/sct",
              "code": "704708004",
              "display": "Cardiac resynchronization therapy implantable pacemaker"
            }
          ]
        },
        "distinctIdentifier": "(01)00643169007222(17)160128(21)BLC200461H",
        "lotNumber": "unknown",
        "manufactureDate": "2011-10-05",
        "expirationDate": {
          "valueQuantity": {
            "extension": {
              "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
              "valueCode": "unknown"
            }
          },
          "dataAbsentReason": {
            "coding": [
              {
                "system": "http://terminology.hl7.org/CodeSystem/data-absent-reason",
                "code": "unknown",
                "display": "Unknown"
              }
            ],
            "text": "Unknown"
          }
        },
        "serialNumber": "unknown",
        "udiCarrier": [
          {
            "deviceIdentifier": "00643169007222",
            "carrierHRF": "(01)00643169007222(17)160128(21)BLC200461H"
          }
        ],
        "patient": {
          "reference": "Patient/1",
          "display": "1"
        }
      }
    }
  ],
  "total": 1
}

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

patient
optional

Patient ID

Validations:

  • Must be number.

start_date
optional

Start date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

end_date
optional

End date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Bundle

Validations:

  • Must be String.

type
required

Validations:

  • Must be String.